import React, { useState } from 'react';
import { TabsContext } from './context';
export const TabsProvider = _ref => {
  let {
    children,
    onChangeIndex,
    defaultIndex
  } = _ref;
  const [index, setIndex] = useState(defaultIndex || 0);
  const goTo = React.useCallback(ind => {
    setIndex(ind);
    onChangeIndex(ind);
  }, [setIndex, onChangeIndex]);
  return /*#__PURE__*/React.createElement(TabsContext.Provider, {
    value: {
      goTo,
      index
    }
  }, children);
};
//# sourceMappingURL=TabsProvider.js.map